Ban Chat User
curl --request POST \
--url https://api.snipp.gg/users/{id}/live/bans/{user_id} \
--header 'api-key: <api-key>'import requests
url = "https://api.snipp.gg/users/{id}/live/bans/{user_id}"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://api.snipp.gg/users/{id}/live/bans/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snipp.gg/users/{id}/live/bans/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snipp.gg/users/{id}/live/bans/{user_id}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snipp.gg/users/{id}/live/bans/{user_id}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snipp.gg/users/{id}/live/bans/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"user_id": "9876543210",
"banned": true
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}Live
Ban Chat User
Stop a user from chatting in a stream until they are unbanned, and remove their messages. They can still watch.
POST
/
users
/
{id}
/
live
/
bans
/
{user_id}
Ban Chat User
curl --request POST \
--url https://api.snipp.gg/users/{id}/live/bans/{user_id} \
--header 'api-key: <api-key>'import requests
url = "https://api.snipp.gg/users/{id}/live/bans/{user_id}"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://api.snipp.gg/users/{id}/live/bans/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snipp.gg/users/{id}/live/bans/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snipp.gg/users/{id}/live/bans/{user_id}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snipp.gg/users/{id}/live/bans/{user_id}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snipp.gg/users/{id}/live/bans/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"user_id": "9876543210",
"banned": true
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
],
"expires_at": "2023-11-07T05:31:56Z",
"retry_at": "2023-11-07T05:31:56Z",
"missing": [
123
]
}
}Stop a user from chatting in a stream until they are unbanned. Their messages in that chat are removed. They can still watch.
Behavior
- Only the streamer, their moderators and staff can ban people; anyone else gets
403with typeforbidden. - Banning the streamer gives
403with typeforbidden, and so does banning a moderator unless you are the streamer or staff. Banning yourself is400. - Banning someone who is timed out replaces the timeout. Banning someone again refreshes their
banned_at. - While banned, sending a message returns
403with typebanned. - The streamer can list everyone banned with List Banned Chat Users.
Example
curl -X POST "https://api.snipp.gg/users/987654321098765432/live/bans/123456789012345678" \
-H "api-key: YOUR_API_KEY"